/** Array5.java
  * This program demonstrates how to traverse an ArrayList object with an
  * Iterator object. Note, that this example is part of the AB Java subset.
  * By Jane Chapman, Michael Landrum and Leon Schram
  **/ 

import java.util.ArrayList;  //Includes the ArrayList class of the util package.
import java.util.Iterator;

public class Array5
{
	public static void main (String [] arg)
	{
		System.out.println("\nArray Demo 5 \n");
		ArrayList aList = new ArrayList();   //Instantiation of an ArrayList object (no elements)
	
		aList.add("Leon");
		aList.add("Jane");
		aList.add("Mike");
	
		System.out.println("aList contains:");		
		listForward(aList);	
	}
	
	
	public static void listForward(ArrayList tList)
	{
		// This shows a standard iteration over an ArrayList object.
	    Iterator it = tList.iterator();  
	    while (it.hasNext())
	       System.out.println(it.next());	       
	    System.out.println();		
	}
		
}
		
		