/** Array7.java
  * This program requires the <Student.java> and the <StudentData.java> files.
  * This program demonstrates the use of an ArrayList object to store objects of the Student class,
  * which in turn stores names, ages and GPAs.  The data information is obtained from an external
  * file, displayed, sorted according to GPA and then displayed again.
  * The pause method is used to stop the text output display.
  * By Jane Chapman, Michael Landrum and Leon Schram
  **/
  

import java.io.*;

      
public class Array7
{
   public static void main(String args[]) throws IOException
   {
      System.out.println("Array 7 Demo");
      StudentData sd = new StudentData();
      sd.getList();
      sd.showList();
      pause();
      sd.bubbleSort();		//according to GPA
      sd.showList();
      System.out.println();
   }
     
   public static void pause() throws IOException
   {   
      BufferedReader keyBoard = new BufferedReader(new InputStreamReader(System.in));	 
      String dummy;
      System.out.print("\nPress <Enter> to continue  ===>>  ");						
      dummy = keyBoard.readLine();								
   }

}

