public class SalariedEmployee extends Employee
{
	private double salary;
	
	//precondition:  nm is in the form Last, First	
	public SalariedEmployee(String nm, String empID,
	                        double sal)
	{
		super(nm,empID);
		salary = sal;
	}
	
	
	public void raisePay(double amount)
	{
		salary += amount;
	}
	
	public double getPayCheck()
	{
		return salary / 52;
	}	
	
	
	public double getYearlySalary()
	{
		return salary;
	}
	
	public String toString()
	{
		return super.toString() + "\nYearly Salary: " + salary
		       + "\nCurrent Paycheck: " + getPayCheck();	
	}
}