import java.util.*;
import java.util.ArrayList;

/*
 program: Array9.java
 Create an ArrayList to hold the first 40 Fibonacci numbers.
 Use the ArrayList to analyze the ratio of each two consecutive numbers.
 .rfrank 02-Jan-2002
 */

class Array9
{
  public static void main(String[] args)
  {
    System.out.println("Array 9\n");
    ArrayList fibs = new ArrayList();
    fibs.add(new Integer(1));
    fibs.add(new Integer(1));
    for (int i = 2; i < 40; i++)
    {
      int next = ((Integer)fibs.get(i-2)).intValue()
                 + ((Integer)fibs.get(i-1)).intValue();
      fibs.add(new Integer(next));
    }
    System.out.println(fibs);

    for (int term = 2; term < 40; term += 2)
    {
      double num =   (double)(((Integer)fibs.get(term-1)).intValue());
      double den =   (double)(((Integer)fibs.get((term-2))).intValue());
      System.out.println(num/den);
    }
    
    System.out.println("The Golden Ratio is \n" + 
                      ((1 + Math.sqrt(5)) / 2.0) + " to 1");
  }
}
