public abstract class Employee
{
	private String name;
	private String id;
	
	//precondition:  nm is in the form Last, First
	public Employee(String nm, String empID)
	{
		name = nm;
		id = empID;
	}
	
	public String getName()
	{
		return name;
	}
	public String getID()
	{
		return id;
	}
	
	public void changeName(String newName)
	{
		name = newName;
	}
	
	public String toString()
	{
		String result = "Name: " + name;
		result += "\nEmployee ID: " + id;
		return result;
	}
	
	public abstract void raisePay(double amount);
	
	public abstract double getPayCheck();
}
	